// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/text_types.proto

package gg.dsepractice.chinese.v1alpha1;

/**
 * Protobuf enum {@code dsepractice.chinese.v1alpha1.SegmentNodeType}
 */
public enum SegmentNodeType
    implements com.google.protobuf.Internal.EnumLite {
  /**
   * <code>SEGMENT_NODE_TYPE_UNSPECIFIED = 0;</code>
   */
  SEGMENT_NODE_TYPE_UNSPECIFIED(0),
  /**
   * <code>SEGMENT_NODE_TYPE_TEXT = 1;</code>
   */
  SEGMENT_NODE_TYPE_TEXT(1),
  /**
   * <code>SEGMENT_NODE_TYPE_PUNCTUATION = 2;</code>
   */
  SEGMENT_NODE_TYPE_PUNCTUATION(2),
  UNRECOGNIZED(-1),
  ;

  /**
   * <code>SEGMENT_NODE_TYPE_UNSPECIFIED = 0;</code>
   */
  public static final int SEGMENT_NODE_TYPE_UNSPECIFIED_VALUE = 0;
  /**
   * <code>SEGMENT_NODE_TYPE_TEXT = 1;</code>
   */
  public static final int SEGMENT_NODE_TYPE_TEXT_VALUE = 1;
  /**
   * <code>SEGMENT_NODE_TYPE_PUNCTUATION = 2;</code>
   */
  public static final int SEGMENT_NODE_TYPE_PUNCTUATION_VALUE = 2;


  @java.lang.Override
  public final int getNumber() {
    if (this == UNRECOGNIZED) {
      throw new java.lang.IllegalArgumentException(
          "Can't get the number of an unknown enum value.");
    }
    return value;
  }

  /**
   * @param value The number of the enum to look for.
   * @return The enum associated with the given number.
   * @deprecated Use {@link #forNumber(int)} instead.
   */
  @java.lang.Deprecated
  public static SegmentNodeType valueOf(int value) {
    return forNumber(value);
  }

  public static SegmentNodeType forNumber(int value) {
    switch (value) {
      case 0: return SEGMENT_NODE_TYPE_UNSPECIFIED;
      case 1: return SEGMENT_NODE_TYPE_TEXT;
      case 2: return SEGMENT_NODE_TYPE_PUNCTUATION;
      default: return null;
    }
  }

  public static com.google.protobuf.Internal.EnumLiteMap<SegmentNodeType>
      internalGetValueMap() {
    return internalValueMap;
  }
  private static final com.google.protobuf.Internal.EnumLiteMap<
      SegmentNodeType> internalValueMap =
        new com.google.protobuf.Internal.EnumLiteMap<SegmentNodeType>() {
          @java.lang.Override
          public SegmentNodeType findValueByNumber(int number) {
            return SegmentNodeType.forNumber(number);
          }
        };

  public static com.google.protobuf.Internal.EnumVerifier 
      internalGetVerifier() {
    return SegmentNodeTypeVerifier.INSTANCE;
  }

  private static final class SegmentNodeTypeVerifier implements 
       com.google.protobuf.Internal.EnumVerifier { 
          static final com.google.protobuf.Internal.EnumVerifier           INSTANCE = new SegmentNodeTypeVerifier();
          @java.lang.Override
          public boolean isInRange(int number) {
            return SegmentNodeType.forNumber(number) != null;
          }
        };

  private final int value;

  private SegmentNodeType(int value) {
    this.value = value;
  }

  // @@protoc_insertion_point(enum_scope:dsepractice.chinese.v1alpha1.SegmentNodeType)
}

